Skip to content

Replace a collection resource
deprecated

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.manage
Admin roles:
  • APP_ADMIN

Replaces a specified resource in a collection

Note: This endpoint is deprecated. Use replaceCollectionResourceV2 instead.

Path
collectionIdstringrequired

Unique identifier for the collection

resourceIdstringrequired

Unique identifier for the resource

Bodyapplication/jsonrequired

The updatable attributes of a collection resource

entitlementsArray of objects(entitlements-creatable)

Collection of entitlements and associated value identifiers

curl -i -X PUT \
  'https://subdomain.okta.com/governance/api/v1/collections/{collectionId}/resources/{resourceId}' \
  -H 'Content-Type: application/json' \
  -d '{
    "entitlements": [
      {
        "id": "espo3v6xlwdtEX2il1d6",
        "values": [
          {
            "id": "ento3v6xmkviXCltm1d6"
          }
        ]
      },
      {
        "id": "esp4rg7fkom0c3AsX8g6",
        "values": [
          {
            "id": "ent4rg7fltWSgrlDT8g6"
          }
        ]
      }
    ]
  }'

Responses

Response to a successful collection resource update operation

Bodyapplication/json
resourceOrnstring, (okta-resource-orn)(app-resource-orn)required

The ORN identifier for a specific app. Other resource types aren't supported.

See the supported-resources endpoint for reference.

resourceIdstring, (okta-resource-id), <= 20 characters(resource-id)

The Okta app.id of the resource.

See List applications to retrieve app IDs.

resourceProfileobject(resource-profile)

A limited set of properties from the resource's profile

entitlementsArray of objects(entitlements-full)

The entitlements associated with the collection. Use the include query parameter to return entitlements for the collection.

entitlementValueCountinteger, >= 0(collection-resource-entitlement-value-count)

The number of entitlements associated with this resource in the collection. Use the include query parameter to return this count in the response.

Response
{ "resourceOrn": "orn:okta:idp:00ofsdghasfhas54wewe:apps:salesforce:0oafxqCAJWWGELFTYASJ", "resourceId": "res789067asg6asdf7g", "resourceProfile": { "id": "0oafxqCAJWWGELFTYASJ", "name": "salesforce", "label": "Salesforce", "logo": [ … ] }, "entitlementValueCount": 2, "entitlements": [ { … }, { … } ], "_links": { "entitlements": { … } } }